RagTimeTextInternal::Token Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
RagTimeTextInternal::Token Struct Reference

Internal: a token of a RagTimeText. More...

## Public Types
enum | Type { List , Page , PageCount , PageAfter , Date , Time , Unknown }
| the token's types More...

## Public Member Functions
| Token ()
| constructor More...
bool | getField (MWAWField &field) const
| returns a field corresponding to the token if possible More...
bool | getIndicesString (std::string &str) const
| returns a string corresponding to the list indices More...

## Public Attributes
Type | m_type
| the token type More...
int | m_listLevel
| the list level(for a list) More...
int | m_listIndices [4]
| the four list indices More...
std::string | m_DTFormat
| the date time format More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal: a token of a RagTimeText.

## Member Enumeration Documentation

## ◆ Type

enum RagTimeTextInternal::Token::Type

the token's types

Enumerator
List |
Page |
PageCount |
PageAfter |
Date |
Time |
Unknown |

## Constructor & Destructor Documentation

## ◆ Token()

RagTimeTextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getField()

bool RagTimeTextInternal::Token::getField | ( | MWAWField & | field | ) | const
| inline

returns a field corresponding to the token if possible

## ◆ getIndicesString()

bool RagTimeTextInternal::Token::getIndicesString | ( | std::string & | str | ) | const
| inline

returns a string corresponding to the list indices

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_DTFormat

std::string RagTimeTextInternal::Token::m_DTFormat

the date time format

Referenced by getField(), and RagTimeText::readTokens().

## ◆ m_extra

std::string RagTimeTextInternal::Token::m_extra

extra data

Referenced by RagTimeText::readTokens().

## ◆ m_listIndices

int RagTimeTextInternal::Token::m_listIndices[4]

the four list indices

Referenced by getIndicesString(), RagTimeText::readTokens(), and Token().

## ◆ m_listLevel

int RagTimeTextInternal::Token::m_listLevel

the list level(for a list)

Referenced by getIndicesString(), and RagTimeText::readTokens().

## ◆ m_type

Type RagTimeTextInternal::Token::m_type

the token type

Referenced by getField(), getIndicesString(), and RagTimeText::readTokens().

The documentation for this struct was generated from the following file:

- RagTimeText.cxx